<!--
/*
 *  Copyright 2012 by Texas Instruments Incorporated .
 *  
 */
-->

<html>
<head>
<title>module ti.sdo.linuxutils.cmem.CMEM</title>
<meta name="description" content="Contiguous MEMory Manager">
<link rel="stylesheet" type="text/css" href="../../../../xdoc.css" />
</head>
<body><div id="xdocWrapper"><div id="xdocContent">
<table class="xdocHdr"><tr>
<td class="xdocHdrTitle"><span class="xdoc-kw1">metaonly </span><span class="xdoc-kw1">module</span> <span class="xdoc-id">ti.sdo.linuxutils.cmem.</span><span class="xdoc-id">CMEM</span></td>
<td class="xdocHdrArrow">
<a class="xdocHdrLink" href="../../../../ti/sdo/linuxutils/cmem/package.html" title="package ti.sdo.linuxutils.cmem"><img class="xdocHdrArrow" src="../../../../Arrow_up.png"/></a></td>
</table>
<div class=xdocHdrIndex><a class=xdocHdrIndex title="right-click to capture" href="../../../../index.html#ti/sdo/linuxutils/cmem/CMEM.html">index URL</a></div>
<p class="xdocHdrSummary">Contiguous MEMory Manager</p>
<ul class="xdocToc">
<li class="xdocToc"><a class="xdocToc" href="#meta-synop">XDCscript usage</a></li>
<li class="xdocToc2"><a class="xdocToc" href="#xdocMetaElems">Individual elements</a></li>
</ul>
<span id='meta-synop'></span>
<table class="xdocLabel"><tr>
<td class="xdocLabelLeft"><tt><span class="xdoc-id-meta2">XDCscript</span></tt> usage</td>
<td class="xdocLabelCenter">meta-domain</td>
<td class="xdocLabelRight">sourced in <a class="xdocLink" href="../../../../ti/sdo/linuxutils/cmem/CMEM-src.html"><span class="xdocLabelFile">ti/sdo/linuxutils/cmem/CMEM.xdc</span></a></td>
</tr></table>
<div class="xdocSynM">
<div class="xdocSynCode">
<tt></tt><span class="xdoc-kw1">var</span> CMEM = <span class="xdoc-kw3">xdc.useModule</span>(<span class="xdoc-id">'ti.sdo.linuxutils.cmem.CMEM'</span>);
</div>
<div class='xdocSynHdr'>module-wide config parameters</div>

<div class="xdocSynCode">
<tt>&nbsp;&nbsp;&nbsp;&nbsp;</tt><tt></tt><a class="xdocSynGo" href="#debug">CMEM.<span class="xdoc-id">debug</span><span class="xdocSynHoverShadow"><span class="xdocSynHover">//&nbsp;Enable the debug profile of the CMEM library</span></span></a> = <i><span class="xdoc-kw2">Bool</span></i> <span class="xdoc-kw2">false</span>;
</div>
<div class="xdocSynSpacer">&nbsp;</div>
</div>
<div id="xdocSep">
</div>
<div id="xdocMetaElems">
<div class="xdocSynSpacer">&nbsp;</div>
<a class="xdocAnchor" id="debug"></a>
<table class="xdocHdr"><tr>
<td class="xdocHdrTitle"><span class="xdoc-kw1">config</span> <span class="xdoc-id">CMEM.</span><span class="xdoc-id">debug</span>&nbsp;&nbsp;<small><span class="xdocSynSum">//&nbsp;module-wide</span></small></td>
<td class="xdocHdrArrow">
<a class="xdocHdrLink" href="../../../../ti/sdo/linuxutils/cmem/CMEM.html" title="module CMEM"><img class="xdocHdrArrow" src="../../../../Arrow_up.png"/></a></td>
</table>
<div class=xdocHdrIndex><a class=xdocHdrIndex title="right-click to capture" href="../../../../index.html#ti/sdo/linuxutils/cmem/CMEM.html#debug">index URL</a></div>
<p class="xdocHdrSummaryDcl">Enable the debug profile of the CMEM library</p>
<span id='meta-synop'></span>
<table class="xdocLabel"><tr>
<td class="xdocLabelLeft"><tt><span class="xdoc-id-meta2dcl">XDCscript</span></tt> usage</td>
<td class="xdocLabelRight">meta-domain</td>
</tr></table>
<div class="xdocSynMdcl">
<div class="xdocSynCode">
<tt></tt><tt></tt>CMEM.<span class="xdoc-id">debug</span> = <i><span class="xdoc-kw2">Bool</span></i> <span class="xdoc-kw2">false</span>;
</div>
</div>
<div class="xdocSynSpacer">&nbsp;</div>
<span id="xdoc-sect-1"></span>
<div class="xdocSect">DETAILS</div>
<div class="xdocText">This will likely result in a larger and slower library being linked in.</div>
</div>
<div id="xdocDate">generated on Wed, 30 May 2012 18:51:23 GMT</div>
</div></div></body>
</html>
<!--
/*
 * @(#) linuxutils_3_23_00_01; 1, 0, 0,1; 5-30-2012 11:51:37; /db/atree/library/trees/linuxutils/linuxutils-l01/src/ xlibrary

 */
-->

